#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 SHA
version:              1.6.4.4
visibility:           public
id:                   SHA-1.6.4.4-5s5f94rNcabHaZDOLP6tpE
key:                  SHA-1.6.4.4-5s5f94rNcabHaZDOLP6tpE
license:              BSD-3-Clause
maintainer:
    Adam Wick <awick@galois.com>,
    Raphael Javaux <raphaeljavaux@gmail.com>

author:               Adam Wick <awick@galois.com>, Brian Lewis <brian@lorf.org>
stability:            stable
synopsis:
    Implementations of the SHA suite of message digest functions

description:
    This library implements the SHA suite of message digest functions,
    according to NIST FIPS 180-2 (with the SHA-224 addendum), as well
    as the SHA-based HMAC routines. The functions have been tested
    against most of the NIST and RFC test vectors for the various
    functions. While some attention has been paid to performance,
    these do not presently reach the speed of well-tuned libraries,
    like OpenSSL.

category:             Cryptography, Codec
abi:                  f004e613fe4d55d4bde62e3b1df023a5
exposed:              True
exposed-modules:      Data.Digest.Pure.SHA
import-dirs:          /usr/lib/ghc-9.8.2/site-local/SHA-1.6.4.4
library-dirs:         /usr/lib/ghc-9.8.2/site-local/SHA-1.6.4.4
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/SHA-1.6.4.4
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/SHA-1.6.4.4
hs-libraries:         HSSHA-1.6.4.4-5s5f94rNcabHaZDOLP6tpE
depends:
    array-0.5.6.0-inplace base-4.19.1.0-inplace binary-0.8.9.1-inplace
    bytestring-0.12.1.0-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/SHA-1.6.4.4/html/SHA.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/SHA-1.6.4.4/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

